Page MenuHomePhabricator

[AMDGPU] Use GFX11 S_PACK_HL instruction in more cases
ClosedPublic

Authored by foad on Jun 24 2022, 7:05 AM.

Details

Diff Detail

Event Timeline

foad created this revision.Jun 24 2022, 7:05 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 24 2022, 7:05 AM
foad requested review of this revision.Jun 24 2022, 7:05 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 24 2022, 7:05 AM
foad added a reviewer: Restricted Project.Jun 24 2022, 7:06 AM
foad added inline comments.
llvm/test/CodeGen/AMDGPU/GlobalISel/inst-select-build-vector-trunc.v2s16.mir
3

@Joe_Nash mentioned offline that it might be better to pre-commit all the added RUN lines.

Joe_Nash added inline comments.Jun 24 2022, 11:32 AM
llvm/lib/Target/AMDGPU/SIInstrInfo.cpp
7090

I don't think there is any test coverage for this block.

llvm/test/CodeGen/AMDGPU/GlobalISel/inst-select-build-vector-trunc.v2s16.mir
3

I think the codegen changes are reviewable by comparing with the gfx10 checks. The main reason to pre-commit tests would be separating NFC from this this change. Up to you.

arsenm added inline comments.Jun 24 2022, 11:34 AM
llvm/test/CodeGen/AMDGPU/GlobalISel/inst-select-build-vector-trunc.v2s16.mir
14–16

These should be regenerated to include-NEXT first

foad updated this revision to Diff 440165.Jun 27 2022, 4:26 AM

Rebase.

foad marked an inline comment as done.Jun 27 2022, 4:26 AM
arsenm accepted this revision.Jun 28 2022, 5:38 AM
This revision is now accepted and ready to land.Jun 28 2022, 5:38 AM
This revision was automatically updated to reflect the committed changes.